{
    "$graph": [
        {
            "label": "Map HMM Hits",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 4000
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "aligns.mft",
                            "entry": "${var blob = '# aligns.mft created for bacterial_hit_mapping from input hmm_hits Array of Files\\n'; for (var i = 0; i < inputs.hmm_hits.length; i++) { blob += inputs.hmm_hits[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_hit_mapping",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-align-fmt"
                    },
                    "id": "#bacterial_hit_mapping.cwl/align_fmt"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bacterial_hit_mapping.cwl/asn_cache"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "prefix": "-expansion-ratio"
                    },
                    "id": "#bacterial_hit_mapping.cwl/expansion_ratio"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bacterial_hit_mapping.cwl/hmm_hits"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "aligns.mft",
                    "inputBinding": {
                        "prefix": "-aligns-manifest"
                    },
                    "id": "#bacterial_hit_mapping.cwl/hmm_hits_mft"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-no-compart"
                    },
                    "id": "#bacterial_hit_mapping.cwl/no_compart"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bacterial_hit_mapping.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "mapped-hmm-hits.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bacterial_hit_mapping.cwl/outfile"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/seq_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#bacterial_hit_mapping.cwl/sequences"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/unicoll_cache"
                }
            ],
            "id": "#bacterial_hit_mapping.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#bacterial_hit_mapping.cwl/aligns"
                }
            ]
        },
        {
            "label": "Get off-frame ORFs",
            "class": "CommandLineTool",
            "baseCommand": "get_off_frame_orfs",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-aligns"
                    },
                    "id": "#get_off_frame_orfs.cwl/aligns"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "prot.ids",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#get_off_frame_orfs.cwl/outfile"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seq_entries"
                    },
                    "id": "#get_off_frame_orfs.cwl/seq_entries"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#get_off_frame_orfs.cwl/prot_ids"
                }
            ],
            "id": "#get_off_frame_orfs.cwl"
        },
        {
            "label": "Bacterial Annotation, pass 1, genemark training, by HMMs (first pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/Execute_CRISPRs_annots"
                },
                {
                    "type": "File",
                    "id": "#main/Generate_16S_rRNA_Annotation_annotation"
                },
                {
                    "type": "File",
                    "id": "#main/Generate_23S_rRNA_Annotation_annotation"
                },
                {
                    "type": "File",
                    "id": "#main/Post_process_CMsearch_annotations_annots_5S"
                },
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/genemark_path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#main/go"
                },
                {
                    "type": "Directory",
                    "id": "#main/hmm_path"
                },
                {
                    "type": "File",
                    "id": "#main/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#main/inseq"
                },
                {
                    "type": "File",
                    "id": "#main/ncrna_annots"
                },
                {
                    "type": "boolean",
                    "id": "#main/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#main/scatter_gather_nchunks"
                },
                {
                    "type": "File",
                    "id": "#main/thresholds"
                },
                {
                    "type": "File",
                    "id": "#main/trna_annots"
                },
                {
                    "type": "Directory",
                    "id": "#main/uniColl_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Map_HMM_Hits/aligns",
                    "id": "#main/aligns"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Resolve_Annotation_Conflicts/annotation",
                    "id": "#main/annotation"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Search_All_HMMs_I/hmm_hits",
                    "id": "#main/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_ORF_Proteins/lds2",
                    "id": "#main/lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Run_GeneMark_Training/out_hmm_params",
                    "id": "#main/out_hmm_params"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Get_ORFs/outseqs",
                    "id": "#main/outseqs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Get_off_frame_ORFs/prot_ids",
                    "id": "#main/prot_ids"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Resolve_Annotation_Conflicts/protein_aligns",
                    "id": "#main/protein_aligns"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_ORF_Proteins/proteins",
                    "id": "#main/proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_ORF_Proteins/seqids",
                    "id": "#main/seqids"
                }
            ],
            "steps": [
                {
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#main/Get_ORFs/outseqs",
                            "id": "#main/Extract_ORF_Proteins/input"
                        },
                        {
                            "source": "#main/nogenbank",
                            "id": "#main/Extract_ORF_Proteins/nogenbank"
                        }
                    ],
                    "out": [
                        "#main/Extract_ORF_Proteins/proteins",
                        "#main/Extract_ORF_Proteins/lds2",
                        "#main/Extract_ORF_Proteins/seqids"
                    ],
                    "id": "#main/Extract_ORF_Proteins"
                },
                {
                    "run": "#gp_getorf.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Get_ORFs/asn_cache"
                        },
                        {
                            "source": "#main/inseq",
                            "id": "#main/Get_ORFs/input"
                        }
                    ],
                    "out": [
                        "#main/Get_ORFs/outseqs"
                    ],
                    "id": "#main/Get_ORFs"
                },
                {
                    "run": "#get_off_frame_orfs.cwl",
                    "label": "Get_off_frame_ORFs task node",
                    "in": [
                        {
                            "source": "#main/Map_HMM_Hits/aligns",
                            "id": "#main/Get_off_frame_ORFs/aligns"
                        },
                        {
                            "source": "#main/Get_ORFs/outseqs",
                            "id": "#main/Get_off_frame_ORFs/seq_entries"
                        }
                    ],
                    "out": [
                        "#main/Get_off_frame_ORFs/prot_ids"
                    ],
                    "id": "#main/Get_off_frame_ORFs"
                },
                {
                    "run": "#bacterial_hit_mapping.cwl",
                    "in": [
                        {
                            "default": "seq-align",
                            "id": "#main/Map_HMM_Hits/align_fmt"
                        },
                        {
                            "source": [
                                "#main/asn_cache",
                                "#main/uniColl_cache"
                            ],
                            "id": "#main/Map_HMM_Hits/asn_cache"
                        },
                        {
                            "default": 0.0,
                            "id": "#main/Map_HMM_Hits/expansion_ratio"
                        },
                        {
                            "source": [
                                "#main/Search_All_HMMs_I/hmm_hits"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Map_HMM_Hits/hmm_hits"
                        },
                        {
                            "default": true,
                            "id": "#main/Map_HMM_Hits/no_compart"
                        },
                        {
                            "default": true,
                            "id": "#main/Map_HMM_Hits/nogenbank"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Map_HMM_Hits/seq_cache"
                        },
                        {
                            "source": "#main/Get_ORFs/outseqs",
                            "id": "#main/Map_HMM_Hits/sequences"
                        },
                        {
                            "source": "#main/uniColl_cache",
                            "id": "#main/Map_HMM_Hits/unicoll_cache"
                        }
                    ],
                    "out": [
                        "#main/Map_HMM_Hits/aligns"
                    ],
                    "id": "#main/Map_HMM_Hits"
                },
                {
                    "label": "Resolve Annotation Conflicts",
                    "run": "#bacterial_resolve_conflicts.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/asn_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Resolve_Annotation_Conflicts/asn_cache"
                        },
                        {
                            "source": [
                                "#main/Execute_CRISPRs_annots",
                                "#main/ncrna_annots",
                                "#main/Generate_16S_rRNA_Annotation_annotation",
                                "#main/Generate_23S_rRNA_Annotation_annotation",
                                "#main/Post_process_CMsearch_annotations_annots_5S",
                                "#main/trna_annots"
                            ],
                            "id": "#main/Resolve_Annotation_Conflicts/features"
                        },
                        {
                            "source": "#main/thresholds",
                            "id": "#main/Resolve_Annotation_Conflicts/thr"
                        }
                    ],
                    "out": [
                        "#main/Resolve_Annotation_Conflicts/protein_aligns",
                        "#main/Resolve_Annotation_Conflicts/annotation"
                    ],
                    "id": "#main/Resolve_Annotation_Conflicts"
                },
                {
                    "label": "Run GeneMark Training, genemark",
                    "run": "#genemark_training.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/asn_cache",
                                "#main/uniColl_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Run_GeneMark_Training/asn_cache"
                        },
                        {
                            "source": "#main/genemark_path",
                            "id": "#main/Run_GeneMark_Training/genemark_path"
                        },
                        {
                            "default": "marked-annotation.asn",
                            "id": "#main/Run_GeneMark_Training/marked_annotation_name"
                        },
                        {
                            "default": 200,
                            "id": "#main/Run_GeneMark_Training/min_seq_len"
                        },
                        {
                            "default": true,
                            "id": "#main/Run_GeneMark_Training/nogenbank"
                        },
                        {
                            "default": "preliminary-models.asn",
                            "id": "#main/Run_GeneMark_Training/preliminary_models_name"
                        },
                        {
                            "source": "#main/inseq",
                            "id": "#main/Run_GeneMark_Training/sequences"
                        },
                        {
                            "source": "#main/thresholds",
                            "id": "#main/Run_GeneMark_Training/thr"
                        },
                        {
                            "default": "workdir",
                            "id": "#main/Run_GeneMark_Training/tmp_dir_name"
                        }
                    ],
                    "out": [
                        "#main/Run_GeneMark_Training/out_hmm_params"
                    ],
                    "id": "#main/Run_GeneMark_Training"
                },
                {
                    "label": "Search All HMMs I",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Search_All_HMMs_I/asn_cache"
                        },
                        {
                            "source": "#main/hmm_path",
                            "id": "#main/Search_All_HMMs_I/hmm_path"
                        },
                        {
                            "source": "#main/hmms_tab",
                            "id": "#main/Search_All_HMMs_I/hmms_tab"
                        },
                        {
                            "source": "#main/Extract_ORF_Proteins/lds2",
                            "id": "#main/Search_All_HMMs_I/lds2"
                        },
                        {
                            "source": "#main/Extract_ORF_Proteins/proteins",
                            "id": "#main/Search_All_HMMs_I/proteins"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/Search_All_HMMs_I/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/Extract_ORF_Proteins/seqids",
                            "id": "#main/Search_All_HMMs_I/seqids"
                        }
                    ],
                    "out": [
                        "#main/Search_All_HMMs_I/hmm_hits"
                    ],
                    "id": "#main/Search_All_HMMs_I"
                }
            ],
            "id": "#main"
        },
        {
            "label": "bacterial_resolve_conflicts",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "features.mft",
                            "entry": "${var blob = '# features.mft created for bacterial_resolve_conflicts from input features Array of Files\\n'; if ( ! inputs.hasOwnProperty('features') ) { return blob; }; for (var i = 0; i < inputs.features.length; i++) { blob += inputs.features[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "prot.mft",
                            "entry": "${var blob = '# prot.mft created for bacterial_resolve_conflicts from input prots Array of Files\\n'; if ( ! inputs.hasOwnProperty('prots') ) { return blob; }; for (var i = 0; i < inputs.prots.length; i++) { blob += inputs.prots[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_resolve_conflicts",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "string",
                    "default": "accept-align.asn",
                    "inputBinding": {
                        "prefix": "-accept-align"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/accept_align_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/features"
                },
                {
                    "type": "string",
                    "default": "features.mft",
                    "inputBinding": {
                        "prefix": "-features"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/features_mft"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#bacterial_resolve_conflicts.cwl/input_annotation"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#bacterial_resolve_conflicts.cwl/mapped_regions"
                },
                {
                    "type": "string",
                    "default": "accept.asn",
                    "inputBinding": {
                        "prefix": "-accept"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/out_annotation_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#bacterial_resolve_conflicts.cwl/prot"
                },
                {
                    "type": "string",
                    "default": "prot.mft",
                    "inputBinding": {
                        "prefix": "-prot"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/prot_mft"
                },
                {
                    "type": "string",
                    "default": "review.asn",
                    "inputBinding": {
                        "prefix": "-review"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/review_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/thr"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_annotation_name)"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/annotation"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.accept_align_name)"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/protein_aligns"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.review_name)"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/review"
                }
            ],
            "id": "#bacterial_resolve_conflicts.cwl"
        },
        {
            "label": "genemark_training",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annotation.mft",
                            "entry": "${ var blob = '# annotation.mft created for genemark_training from input annotation File\\n'; if ( inputs.annotation == null ) { return blob; } else { return blob + inputs.annotation.path; } }"
                        },
                        {
                            "entryname": "sequences.mft",
                            "entry": "${ var blob = '# sequences.mft created for genemark_training from input sequences File\\n'; if ( inputs.sequences == null) { return blob; }  else { return blob + inputs.sequences.path; } }"
                        },
                        {
                            "entryname": "alignments.mft",
                            "entry": "${ var blob = '# alignments.mft created for genemark_training from input alignments File\\n'; if ( inputs.alignments == null ) { return blob; }  else { return blob + inputs.alignments.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "genemark",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark_training.cwl/alignments"
                },
                {
                    "type": "string",
                    "default": "alignments.mft",
                    "inputBinding": {
                        "prefix": "-alignments"
                    },
                    "id": "#genemark_training.cwl/alignments_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark_training.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#genemark_training.cwl/annotation_manifest"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#genemark_training.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-genemark-path"
                    },
                    "id": "#genemark_training.cwl/genemark_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "marked-annotation.asn",
                    "inputBinding": {
                        "prefix": "-marked-annotation"
                    },
                    "id": "#genemark_training.cwl/marked_annotation_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min_seq_len"
                    },
                    "id": "#genemark_training.cwl/min_seq_len"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#genemark_training.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "GeneMark_hmm_combined.mod",
                    "id": "#genemark_training.cwl/out_hmm_params_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "preliminary-models.asn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#genemark_training.cwl/preliminary_models_name"
                },
                {
                    "type": "File",
                    "id": "#genemark_training.cwl/sequences"
                },
                {
                    "type": "string",
                    "default": "sequences.mft",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#genemark_training.cwl/sequences_manifests"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#genemark_training.cwl/thr"
                },
                {
                    "type": "string",
                    "default": ".",
                    "inputBinding": {
                        "prefix": "-tmp"
                    },
                    "id": "#genemark_training.cwl/tmp"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.marked_annotation_name)"
                    },
                    "id": "#genemark_training.cwl/marked_annotation"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tmp)/$(inputs.out_hmm_params_name)"
                    },
                    "id": "#genemark_training.cwl/out_hmm_params"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.preliminary_models_name)"
                    },
                    "id": "#genemark_training.cwl/preliminary_models"
                }
            ],
            "id": "#genemark_training.cwl"
        },
        {
            "label": "gp_getorf",
            "class": "CommandLineTool",
            "baseCommand": "gp_getorf",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "from-stop-to-stop",
                    "inputBinding": {
                        "prefix": "-allowable-starts"
                    },
                    "id": "#gp_getorf.cwl/allowable_starts"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gp_getorf.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "seq-entries-b",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#gp_getorf.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#gp_getorf.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 10000,
                    "inputBinding": {
                        "prefix": "-max-seq-gap"
                    },
                    "id": "#gp_getorf.cwl/max_seq_gap"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 45,
                    "inputBinding": {
                        "prefix": "-minsize"
                    },
                    "id": "#gp_getorf.cwl/minsize"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "entries.asnb",
                    "inputBinding": {
                        "prefix": "-seq-output"
                    },
                    "id": "#gp_getorf.cwl/outfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gp_getorf.cwl/outseqs"
                }
            ],
            "id": "#gp_getorf.cwl"
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "hmmsearch_create_jobs",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_create_jobs",
            "arguments": [
                "-no-merge-hmms"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-hmm-path"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seqids"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/seqids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "workpath",
                    "inputBinding": {
                        "prefix": "-workpath"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workpath"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.workpath)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workdir"
                }
            ],
            "id": "#hmmsearch_create_jobs.cwl"
        },
        {
            "label": "hmmsearch_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.workdir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entryname": "fam.mft",
                            "entry": "${ var blob = '# fam.mft created for hmmsearch_wnode from input hmms_tab File\\n'; if ( inputs.hmms_tab == null ) { return blob; }  else { return blob + inputs.hmms_tab.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-cut_ga",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fam.mft",
                    "inputBinding": {
                        "prefix": "-fam"
                    },
                    "id": "#hmmsearch_wnode.cwl/fam"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/bin",
                    "inputBinding": {
                        "prefix": "-hmmsearch-path"
                    },
                    "id": "#hmmsearch_wnode.cwl/hmmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#hmmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#hmmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "id": "#hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#hmmsearch_wnode.cwl/output"
                }
            ],
            "id": "#hmmsearch_wnode.cwl"
        },
        {
            "label": "protein_extract",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#protein_extract.cwl/input"
                },
                {
                    "type": "boolean",
                    "id": "#protein_extract.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/olds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/oproteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/oseqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/lds2_fix/lds2",
                    "id": "#protein_extract.cwl/lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/protein_extract/proteins",
                    "id": "#protein_extract.cwl/proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/protein_extract/seqids",
                    "id": "#protein_extract.cwl/seqids"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#protein_extract.cwl/protein_extract/lds2",
                            "id": "#protein_extract.cwl/lds2_fix/in_lds2"
                        }
                    ],
                    "out": [
                        "#protein_extract.cwl/lds2_fix/lds2"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "listing": [
                                    {
                                        "entry": "$(inputs.in_lds2)",
                                        "writable": true
                                    }
                                ],
                                "class": "InitialWorkDirRequirement"
                            }
                        ],
                        "baseCommand": "sqlite3",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#protein_extract.cwl/lds2_fix/cd55d493-7df7-4cbe-9ab1-b58b07800e1c/in_lds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "update file set file_name=replace(file_name, rtrim(file_name, replace(file_name, '/', '')), '');",
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#protein_extract.cwl/lds2_fix/cd55d493-7df7-4cbe-9ab1-b58b07800e1c/sql"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.in_lds2.basename)"
                                },
                                "id": "#protein_extract.cwl/lds2_fix/cd55d493-7df7-4cbe-9ab1-b58b07800e1c/lds2"
                            }
                        ],
                        "id": "#protein_extract.cwl/lds2_fix/cd55d493-7df7-4cbe-9ab1-b58b07800e1c"
                    },
                    "id": "#protein_extract.cwl/lds2_fix"
                },
                {
                    "in": [
                        {
                            "source": "#protein_extract.cwl/input",
                            "id": "#protein_extract.cwl/protein_extract/input"
                        },
                        {
                            "source": "#protein_extract.cwl/nogenbank",
                            "id": "#protein_extract.cwl/protein_extract/nogenbank"
                        },
                        {
                            "source": "#protein_extract.cwl/olds2",
                            "id": "#protein_extract.cwl/protein_extract/olds2"
                        },
                        {
                            "source": "#protein_extract.cwl/oproteins",
                            "id": "#protein_extract.cwl/protein_extract/oproteins"
                        },
                        {
                            "source": "#protein_extract.cwl/oseqids",
                            "id": "#protein_extract.cwl/protein_extract/oseqids"
                        }
                    ],
                    "out": [
                        "#protein_extract.cwl/protein_extract/proteins",
                        "#protein_extract.cwl/protein_extract/lds2",
                        "#protein_extract.cwl/protein_extract/seqids"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": "protein_extract",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "prefix": "-input"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/input"
                            },
                            {
                                "type": "boolean",
                                "inputBinding": {
                                    "prefix": "-nogenbank"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/nogenbank"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "LDS2",
                                "inputBinding": {
                                    "prefix": "-olds2"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/olds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "proteins.asn",
                                "inputBinding": {
                                    "prefix": "-o"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/oproteins"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "proteins.seq_ids",
                                "inputBinding": {
                                    "prefix": "-oseqids"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/oseqids"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.olds2)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/lds2"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.oproteins)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/proteins"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.oseqids)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6/seqids"
                            }
                        ],
                        "id": "#protein_extract.cwl/protein_extract/56ed7320-03e8-451d-9f26-fc4ed0e911c6"
                    },
                    "id": "#protein_extract.cwl/protein_extract"
                }
            ],
            "id": "#protein_extract.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "stdout": "cat.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_array_of_files.cwl/files_in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_array_of_files.cwl/file_out",
                    "outputBinding": {
                        "glob": "cat.out"
                    }
                }
            ],
            "id": "#cat_array_of_files.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "cwl split wrapper",
            "baseCommand": "split",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-l"
                    },
                    "id": "#split.cwl/chunk_size"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#split.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs",
                    "inputBinding": {
                        "position": 5,
                        "valueFrom": "$(inputs.mask)"
                    },
                    "id": "#split.cwl/mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-n l//",
                        "separate": false
                    },
                    "id": "#split.cwl/nchunks"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": ".xml",
                    "inputBinding": {
                        "position": 3,
                        "separate": false,
                        "prefix": "--additional-suffix="
                    },
                    "id": "#split.cwl/suffix"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.mask)?*$(inputs.suffix)"
                    },
                    "id": "#split.cwl/jobs"
                }
            ],
            "id": "#split.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                    "id": "#tt_hmmsearch_wnode.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                    "id": "#tt_hmmsearch_wnode.cwl/workdir"
                }
            ],
            "steps": [
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output",
                            "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/files_in"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results"
                },
                {
                    "run": "#hmmsearch_create_jobs.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/seqids",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/seqids"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs"
                },
                {
                    "run": "#tt_hmmsearch_wnode_plus_qdump.cwl",
                    "scatter": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/split_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/split_jobs"
                }
            ],
            "id": "#tt_hmmsearch_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "hmmsearch_wnode and gpx_qdump combined workflow to apply scatter/gather",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/output"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "hmm_hits.asn",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output_name"
                        },
                        {
                            "default": "*",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump"
                },
                {
                    "run": "#hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode"
                }
            ],
            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
